gd2i(Gendarme 2.10.0.0)

NAME
Gendarme Defect To Ignore List

SYNOPSIS

gd2i defects.xml list.ignore [--extra-check] [--syntax-check] [--quiet] [--version] [--help]

DESCRIPTION
gd2i is small tool to help you create, or update, an ignore-list baseline from an XML list of defects (generated by Gendarme).

OPTIONS

defects.xml
    The, XML formatted, list of defects produced by Gendarme on your project.

list.ignore
    The, text, file listing ignored defects entries for your project. If the file does not already exists (i.e. an update) then it will be created. See gendarme(5) for the format of this file.

--extra-check
    Report ignore entries, from an existing 'list.ignore' file, that does not match any defect, from the 'defects.xml' file.

--syntax-check
    Report syntax error found when processing an existing 'list.ignore' file.

--quiet
    Used to disable progress and other information which is normally written to stdout.

--version
    Display the tool's version number. This will match the Mono version number that this copy of Gendarme was released with.

--help
    Show help about the command-line options.

EXIT STATUS

0   The tool returns 0 when no error has occurred.

1   The tool returns 1 if some command-line parameter were not valid.

2   The tool execution was interrupted by a non-handled exception. This is likely a bug inside the tool and should be reported on Novell's bugzilla (http://bugzilla.novell.com) or on the mailing-list.

COPYRIGHT
Copyright (C) 2010 Novell, Inc (http://www.novell.com)

MAILING LISTS
Mailing lists are listed at the http://groups.google.com/group/gendarme

WEB SITE
http://www.mono-project.com/Gendarme

SEE ALSO
gendarme(1),gendarme(5),mono(1)